Bug 1792400

Summary: Review Request: php-laminas-hydrator - Laminas Framework Hydrator component
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-01-25 09:11:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1792281, 1792398    
Bug Blocks: 1792401    

Description Remi Collet 2020-01-17 15:40:48 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/laminas/php-laminas-hydrator.git/plain/php-laminas-hydrator.spec?id=df3d7150b4d076c1f735804feba2508ace170aa2
SRPM URL: http://rpms.remirepo.net/SRPMS/php-laminas-hydrator-2.4.2-1.remi.src.rpm
Description: 
Laminas\Hydrator provides utilities for mapping arrays to objects,
and vice versa, including facilities for filtering which data
is mapped as well as providing mechanisms for mapping nested
structures.

Documentation: https://docs.laminas.dev/laminas-hydrator/



Fedora Account System Username: remi

Comment 1 Remi Collet 2020-01-20 09:39:57 UTC
Latest version is 3.0.2 but version 2 packaged to ensure stack consistency

Comment 2 Robert-André Mauchin 🐧 2020-01-23 19:15:48 UTC
 - License ok
 - Builds in mock
 - No rpmlint errors
 - Tests are ok
 - Conforms to Packaging Guidelines

Package approved.

Comment 3 Gwyn Ciesla 2020-01-24 14:33:38 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-laminas-hydrator

Comment 4 Remi Collet 2020-01-25 09:11:35 UTC
thanks

built